Subject: Re: bug#77348: 30.1; cl-labels

From: Eli Zaretskii <[email-masked]>
Date: Wed, 02 Apr 2025 15:28:49 +0300

> Cc: Devon Sean McCullough <[email-masked]>, [email-masked]
> Date: Wed, 02 Apr 2025 11:14:24 +0200
> From:  Michael Heerdegen via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Stefan Monnier <[email-masked]> writes:
> 
> > > Thanks.  But something's odd here: I'm absolutely sure that you and I,
> > > we already talked about improving the docstring even further, and we
> > > already had a version with an improved last paragraph.  It said
> > > something like "FUNC is defined in any BODY, as well as FORM or the
> > > evaluation result of any EXP", something like that.  Remember?  It seems
> > > you lost that version and installed something old, or something written
> > > ad-hoc, instead.
> >
> > It does ring a bell, indeed.  I'll have to try and dig it back up.
> 
> Hmm - looks like there had been a merge accident:
> 
>   6c411de542d "Merge from origin/emacs-30" (Eli Zaretskii 2025-03-01)
> 
> reverted the improved docstring.

Feel free to fix any such snafus.

(Btw, in general, please make any documentation fixes on the release
branch, not on master.  As a nice bonus, that will make the
probability of such merge problems lower.)